Subject: [secdir] secdir review of draft-ietf-teas-rsvp-te-domain-subobjects-03

From: "Xialiang (Frank)" <[email-masked]>
Date: Mon, 9 Nov 2015 07:10:39 +0000

Hello,

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This experimental ID specifies new subobjects for RSVP-TE and GMPLS extensions to RSVP-TE to include or exclude 4-Byte Autonomous System (AS) and Interior Gateway Protocol (IGP) area during path setup.

The document appears in reasonably good shape.
Based on good existing security works on the RSVP-TE and GMPLS, such as [RFC3209], [RFC3473], [RFC4874] and [RFC5920], as well as only introducing some new subobjects for LSP path setup using the same process as before, this document does not introduce new risks in theory.
There are still several open issues (TBDs) in the document that need to be completed before publication.

Below a series of my own comments, questions for your consideration.

Comment:
One side effect from the misbehaviors of trusted LSR I would suggest you to consider:
If the LSR includes the new defined subobjects with right AS-ID/IGP area id but still using the already existed Types, the legacy nodes will process its content wrongly, and vice versa. In this condition, the length filed checking is sometimes useful although not always;

Question:
For the inter-domain scenarios, is it possible that there is not authentication and data protection mechanisms between the two boundary nodes? Furthermore, if the connection between these two nodes are not hop-by-hop, how to guarantee the data integrity and mutual trust?

Editorial changes:
Section 6: the first sentence "Security considerations for MPLS-TE and GMPLS signaling are covered in [RFC3209] and [RFC3473].", using the phrases like "MPLS-TE" and "GMPLS signaling" is not very accurate, suggesting to change to "Security considerations for RSVP-TE and GMPLS signaling RSVP-TE extensions are covered in [RFC3209] and [RFC3473]. "

Thank you.

B.R.
Frank

---

From: "Xialiang (Frank)" <[email-masked]>
Date: Fri, 13 Nov 2015 08:39:14 +0000

Hi Dhruv,
Please see my comments inline:

Thanks!

B.R.
Frank
发件人: [email-masked] [mailto:[email-masked]] 代表 Dhruv Dhody
发送时间: 2015年11月13日 13:47
收件人: Xialiang (Frank)
抄送: [email-masked]; [email-masked]; [email-masked]; Tobias Gondrom; [email-masked]; Dhruv Dhody; [email-masked]
主题: Re: secdir review of draft-ietf-teas-rsvp-te-domain-subobjects-03

Hi Frank,

Thank you for your review and sorry for the delay in the reply [ Diwali festivities in these neck of woods :) ]
Please see inline...

On Mon, Nov 9, 2015 at 12:40 PM, Xialiang (Frank) <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

Comment:

​[Dhruv]: The already existing types are - http://www.iana.org/assignments/rsvp-parameters/rsvp-parameters.xhtml#rsvp-parameters-25
- There is no way to include IGP area with existing types
- There exist 2-Byte AS number type, RFC3209 say the length of sub-object is fixed to 4 when Type is AS (32), this draft says the length is fixed 8 for the new subobject type for 4-Byte AS number. The fixed length takes care of it? Do you see a need to add any other text?​

[Frank]: In theory, there is possibility for the error handling condition that I mentioned. So, I suggest you to consider using the length field checking as a supplementary tool to avoid it.

Question:

​[Dhruv]: This analysis is done at https://tools.ietf.org/html/rfc5920#section-8
Chairs, would you like to add anything else? ​

[Frank]: agree with your observations. Do you need to add some reference for this content in the security considerations section of your draft?

Editorial changes:
Section 6: the first sentence “Security considerations for MPLS-TE and GMPLS signaling are covered in [RFC3209] and [RFC3473].”, using the phrases like “MPLS-TE” and “GMPLS signaling” is not very accurate, suggesting to change to “Security considerations for RSVP-TE and GMPLS signaling RSVP-TE extensions are covered in [RFC3209] and [RFC3473]. ”

​[Dhruv]: Ack.

Thank you for your review and comments.

Regards,
Dhruv
​

Thank you.

B.R.
Frank

---

From: "Xialiang (Frank)" <[email-masked]>
Date: Fri, 13 Nov 2015 09:28:18 +0000

Hi Dhruv,
Thanks for your detailed explanation and quick problem solving.

B.R.
Frank

发件人: Dhruv Dhody
发送时间: 2015年11月13日 17:24
收件人: Xialiang (Frank); Dhruv Dhody
抄送: [email-masked]; [email-masked]; [email-masked]; Tobias Gondrom; [email-masked]; [email-masked]
主题: RE: secdir review of draft-ietf-teas-rsvp-te-domain-subobjects-03

Hi Frank,

See inline [Dhruv2].

<snip>
Comment:

[Dhruv2]: The fixed length check for existing sub-object type is already in place via RFC3209. So this error handling you mention is already in place.

Question:

[Dhruv2]: Ack

<snip>

The working copy diff is attached for reference (includes IANA, Gen-ART, Sec-Dir reviews).

Regards,
Dhruv​

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 13 Nov 2015 11:17:12 +0530

Hi Frank,

Thank you for your review and sorry for the delay in the reply [ Diwali
festivities in these neck of woods :) ]
Please see inline...

On Mon, Nov 9, 2015 at 12:40 PM, Xialiang (Frank) <[email-masked]
> wrote:

> Hello,
>
>
>
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the IESG.
> These comments were written primarily for the benefit of the security area
> directors.  Document editors and WG chairs should treat these comments just
> like any other last call comments.
>
>
>
> This experimental ID specifies new subobjects for RSVP-TE and GMPLS
> extensions to RSVP-TE to include or exclude 4-Byte Autonomous System (AS)
> and Interior Gateway Protocol (IGP) area during path setup.
>
>
>
> Based on good existing security works on the RSVP-TE and GMPLS, such as
> [RFC3209], [RFC3473], [RFC4874] and [RFC5920], as well as only introducing
> some new subobjects for LSP path setup using the same process as before,
> this document does not introduce new risks in theory.
>
> If the LSR includes the new defined subobjects with right AS-ID/IGP area
> id but still using the already existed Types, the legacy nodes will process
> its content wrongly, and vice versa. In this condition, the length filed
> checking is sometimes useful although not always;
>

​[Dhruv]: The already existing types are -
http://www.iana.org/assignments/rsvp-parameters/rsvp-parameters.xhtml#rsvp-parameters-25
- There is no way to include IGP area with existing types
- There exist 2-Byte AS number type, RFC3209 say the length of sub-object
is fixed to 4 when Type is AS (32), this draft says the length is fixed 8
for the new subobject type for 4-Byte AS number. The fixed length takes
care of it? Do you see a need to add any other text?​

>
>
> Question:
>
> For the inter-domain scenarios, is it possible that there is not
> authentication and data protection mechanisms between the two boundary
> nodes? Furthermore, if the connection between these two nodes are not
> hop-by-hop, how to guarantee the data integrity and mutual trust?
>

​[Dhruv]: This analysis is done at
https://tools.ietf.org/html/rfc5920#section-8
Chairs, would you like to add anything else? ​

>
>
> Editorial changes:
>
> Section 6: the first sentence “*Security considerations for MPLS-TE and
> GMPLS signaling are covered in [RFC3209] and [RFC3473].*”, using the
> phrases like “MPLS-TE” and “GMPLS signaling” is not very accurate,
> suggesting to change to “*Security considerations for RSVP-TE and GMPLS
> signaling RSVP-TE extensions are covered in [RFC3209] and [RFC3473].* ”
>

​[Dhruv]: Ack.

Regards,
Dhruv
​

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 13 Nov 2015 09:24:05 +0000

Hi Frank,

See inline [Dhruv2].

<snip>
Comment:

Question:

[Dhruv2]: Ack

<snip>

Regards,
Dhruv​